Subject: RFC 1434 and IBM 6611

From: "R. C. (Roy) Dixon" <[email-masked]>
Date: Wed, 15 Dec 93 08:55:05 EST

Reference:  Your note dated 3 December 1993

Bernie,

To answer your questions...

1) Yes, I believe your assumption is valid.  This is basically what
   is done within the IBM 6611.

2) With respect to this question, the CIRCUIT_PENDING state machine
   accurately reflects the IBM 6611 implementation.  The XIDFRAME message
   is sent with a null Origin Circuit ID.  The Origin DLSw can use the
   Data Link ID to obtain the proper circuit correlation.

   Note that the IBM 6611 does not queue any frames with end user data.
   As in the above case, it was considered important to transfer the XID
   when received, thereby placing additional burden on the other DLSw
   to resolve the addressing information.  Fortunately, this state
   transition does not occur very often.

Hope this is helpful.

Regards, Roy

---------------- Referenced Note ----------------------------------------
Received: from BBN.COM by vnet.IBM.COM (IBM VM SMTP V2R2) with TCP;
   Fri, 03 Dec 93 09:23:36 EST
From: Bernard Brady <[email-masked]>
Subject: Re: IBM 6611 and RFC 1434
To: [email-masked]
Cc: [email-masked]
In-Reply-To: <[email-masked]>
Date: Fri, 3 Dec 93 09:20:51 EDT
Mail-System-Version: <BBN/[email-masked]>

Roy,

I have the following questions?

1)	In developing the FSM for the DLSw target I have made the
assumption that if I receive a CONTACT, XIDFRAME, or DGRMFRAME. that
this is an implied REACH_ACK.  I reasoned this from the following
paragraph on page 9 of the RFC.

      If the REACH_ACK message is not successfully received, the target
      Data Link Switch can obtain the Origin Circuit ID from a
      subsequent message (i.e., CONTACT, XIDFRAME, or DGRMFRAME).

Is this a valid assumption?

2)	While in the CIRCUIT PENDING State the RFC Page 25 shows that if
a DLC_XID event is encountered then the  DLSw action should send a
XIDFRAME.  I disagree with this in that you do not have the ORIGIN
CIRCUIT ID yet.  I think that the XID should be queued until the REACH
ACK is recevied.  Once the REACH_ACK / ORIGIN ID is received then the
XIDFRAME should be sent.

Regards, Bernie